﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ImageConvert
{
    public enum Format
    {
        Jpeg, Png, Bmp, Gif, Tiff, Wmp
    }

    public enum SizeMode
    {
        Percent, BoxFit, NoChange
    }

    public enum PixFormat
    {
        Nochange, Indexed, Bit24, Bit32
    }

    public class Options
    {
        public Format OutputFormat
        {
            get;
            set;
        }

        public SizeMode SizeMode
        {
            get;
            set;
        }

        public int Width
        {
            get;
            set;
        }

        public int Height
        {
            get;
            set;
        }

        public double Percent
        {
            get;
            set;
        }

        public int Quality
        {
            get;
            set;
        }

        public PixFormat PixelFormat
        {
            get;
            set;
        }

        public string TargetDir
        {
            get;
            set;
        }

    }
}
